#include <stdio.h> 
#include <stdlib.h>
#include <memory.h>
#define N 200005

typedef struct {
    int *data;
    int top;
    int size;
} Stack;

int createStack(Stack* astack, int size)
{
    astack->data=(int*)malloc(sizeof(int)*size);
    if (astack->data==NULL) return 0;
    astack->size = size;
    astack->top=-1;
    return 1;
}

void makeEmpty(Stack *astack)
{
    astack->top=-1;
}
    
int isEmpty(Stack* astack)
{
    if (astack->top<0) return 1;
    else return 0;
} 

int isFull(Stack* astack)
{
    if (astack->top==astack->size-1) return 1;
    else return 0;
}       

int top(Stack* astack)
{
    if (!isEmpty(astack)) return astack->data[astack->top];
    else return 0;
}    

int pop(Stack* astack)
{
    if (!isEmpty(astack)) {
        int adata=top(astack);
        astack->top--;
        return adata;
    }    
    else return 0;
}    

int push(Stack* astack, int adata)
{
    if (!isFull(astack)) {
        astack->top++;
        astack->data[astack->top]=adata;
        return 1;
    }    
    else return 0;
}    
  

int main()
{
	int n, i;
	int a, b;
	while(scanf("%d", &n) && n)
	{
		Stack* track;
		int couple[N];
		
		track = (Stack*)malloc(sizeof(Stack));
		if (!createStack(track, N)) {
			printf("Out of Memory!\n");
			return 0;
		}    

		for(i=1; i <= n; i++){
			scanf("%d", &a);
			scanf("%d", &b);
			couple[a] = i;
			couple[b] = i;
		}
		for(i=1; i <= 2*n; i++){
			if(!isEmpty(track) && top(track)==couple[i]){
				pop(track);
			}
			else{
				push(track, couple[i]);
			}
		}
		
		if (!isEmpty(track))
			printf("No\n");
		else
			printf("Yes\n");
		free(track);
	}
    return 0;
} 